-- Script to provide ArcSDE 8.3 compatibility with DB2 Spatial Extender V8.1
-- To be used with an ArcSDE 8.3 database which was created with DB2 V8.1.
-- This script to be run after 'sdesdetupdb2' command
-- See the related readme file for more information on using this script.
-- Last updated 06/11/03 - DWA

-- Modify the following connect statement to reference the appropriate database.
-- This should be run either under a dbadmin id or modify the connect
-- statement to provide a dbadmin userid and password.
CONNECT TO sde;


-- We had to define db2gse.gse_layer as a table in order for sdedb2setup
-- to work because it creates a constraint which must be defined on a table.
-- We redefine db2gse.gse_layer here to a view so that it reflects any
-- changes made by calls to db2gse.register_layer.
--
DROP TABLE db2gse.gse_layer;


 CREATE VIEW  "DB2GSE  "."GSE_LAYER"  (
                  "LAYER_TYPE"                  ,
                  "LAYER_CATALOG"             ,
                  "LAYER_SCHEMA"                      ,
                  "LAYER_TABLE"                       ,
                  "LAYER_COLUMN"                       ,
                  "GEO_SCHEMA"                      ,
                  "GEO_TABLE"                       ,
                  "GEO_COLUMN"                       )
                 AS SELECT 1, CAST(NULL AS VARCHAR(30)),
                           layer_schema, layer_table, layer_column,
                           layer_schema, layer_table, layer_column
                 FROM db2gse.geometry_columns;

COMMIT WORK;

CONNECT RESET;

TERMINATE;
