--
-- NOTE: in order for the index and LOB tablespaces to be used, it
--       is important that the 'DBTUNE' information be updated to
--       specify their use
--FORCE APPLICATION ALL;
--DB2STOP;
--DB2START;
--DROP DATABASE sde;
--FORCE APPLICATION ALL;
--DB2STOP;
DB2START;


CREATE DATABASE sde USING CODESET IBM-1252 TERRITORY US COLLATE
USING SYSTEM USER TABLESPACE
MANAGED BY DATABASE USING (FILE 'd:\db2_data7_sde\sdetbsp' 100000)
EXTENTSIZE 16 PREFETCHSIZE 16 OVERHEAD 24.1 TRANSFERRATE 0.9;

CONNECT TO sde;

GRANT DBADM ON DATABASE TO USER SDE;
CONNECT TO sde user sde using arcsde;

-- Create larger and separate buffer pools for data and index tablespaces
-- Set sizes appropriately
CREATE BUFFERPOOL REGBP SIZE 10000 PAGESIZE 4 K;
CREATE BUFFERPOOL IDXBP SIZE 10000 PAGESIZE 4 K;

CREATE REGULAR TABLESPACE regtbs PAGESIZE 4 K
MANAGED BY DATABASE USING ( FILE 'i:\db2_data8_sde\regtbs' 1000000)
EXTENTSIZE 32 OVERHEAD 24.1 PREFETCHSIZE 32 TRANSFERRATE 0.9
BUFFERPOOL REGBP
;

CREATE REGULAR TABLESPACE idxtbs PAGESIZE 4 K
MANAGED BY DATABASE USING ( FILE 'h:\db2_data8_sde\idxtbs' 300000)
EXTENTSIZE 32 OVERHEAD 24.1 PREFETCHSIZE 32 TRANSFERRATE 0.9
BUFFERPOOL IDXBP
;

CREATE LONG TABLESPACE lobtbs PAGESIZE 4 K
MANAGED BY DATABASE USING ( FILE 'h:\db2_data8_sde\lobtbs' 200000)
EXTENTSIZE 32 OVERHEAD 24.1 PREFETCHSIZE 32 TRANSFERRATE 0.9;

-- It is said that SMS is better than DMS for temporary tablespaces
CREATE SYSTEM TEMPORARY TABLESPACE SDETEMP  PAGESIZE 4 K
MANAGED BY SYSTEM USING ( 'h:\db2_data8_sdetemp')
EXTENTSIZE 32 OVERHEAD 24.1 PREFETCHSIZE 32 TRANSFERRATE 0.9;

-- Get rid of default temporary space as this tends to fill up and doesn't
-- exploit SDETEMP
DROP TABLESPACE TEMPSPACE1;

GRANT USE OF TABLESPACE regtbs TO PUBLIC WITH GRANT OPTION;
GRANT USE OF TABLESPACE idxtbs TO PUBLIC WITH GRANT OPTION;
GRANT USE OF TABLESPACE lobtbs TO PUBLIC WITH GRANT OPTION;


-- Update DB2 parameter values needed to run ArcSDE with DB2 Spatial Extender
UPDATE DATABASE CONFIGURATION FOR sde USING APP_CTL_HEAP_SZ 2048;
UPDATE DATABASE CONFIGURATION FOR sde USING APPLHEAPSZ 2048;
UPDATE DATABASE CONFIGURATION FOR sde USING LOGFILSIZ 1000;
UPDATE DATABASE CONFIGURATION FOR sde USING LOGPRIMARY 10;
FORCE APPLICATION ALL;
DB2STOP FORCE;
DB2START;


!db2se enable_db sde -userId sde -pw arcsde;
